org.apache.ode.bpel.evar

## Class ExternalVariableModule.Locator

- java.lang.Object
- - org.apache.ode.bpel.evar.ExternalVariableModule.Locator

- Enclosing interface:
    ExternalVariableModule

      public static class ExternalVariableModule.Locator
      extends java.lang.Object

  Structure used to identify an external variable to the external variable subsystem.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Long` | `iid` Instance identifier.
    `javax.xml.namespace.QName` | `pid` Process identifier.
    `org.w3c.dom.Node` | `reference` External-variable module-specific identifying information.
    `java.lang.String` | `varId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalVariableModule.Locator(java.lang.String varId, javax.xml.namespace.QName pid, java.lang.Long iid)`
    `ExternalVariableModule.Locator(java.lang.String varId, javax.xml.namespace.QName pid, java.lang.Long iid, org.w3c.dom.Node reference)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### varId

          public final java.lang.String varId

    - #### iid

          public final java.lang.Long iid

      Instance identifier.

    - #### pid

          public final javax.xml.namespace.QName pid

      Process identifier.

    - #### reference

          public org.w3c.dom.Node reference

      External-variable module-specific identifying information.

  - ### Constructor Detail

    - #### ExternalVariableModule.Locator

          public ExternalVariableModule.Locator(java.lang.String varId,
                                        javax.xml.namespace.QName pid,
                                        java.lang.Long iid)

    - #### ExternalVariableModule.Locator

          public ExternalVariableModule.Locator(java.lang.String varId,
                                        javax.xml.namespace.QName pid,
                                        java.lang.Long iid,
                                        org.w3c.dom.Node reference)